## org.eclipse.datatools.modelbase.sql.query.impl
Class ValueExpressionNullValueImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionAtomicImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionNullValueImpl

All Implemented Interfaces:
  ValueExpression, QueryValueExpression, SQLQueryObject, ValueExpressionAtomic, ValueExpressionNullValue, SQLObject

    public class ValueExpressionNullValueImpl

extends ValueExpressionAtomicImpl
implements ValueExpressionNullValue

An implementation of the model object 'SQL Value Expression Null'.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

`basicSetBasicLeft, basicSetBasicRight, basicSetBetweenLeft, basicSetBetweenRight1, basicSetBetweenRight2, basicSetDataType, basicSetGroupingExpr, basicSetInValueListLeft, basicSetInValueListRight, basicSetInValueRowSelectLeft, basicSetInValueSelectLeft, basicSetLikeEscape, basicSetLikeMatching, basicSetLikePattern, basicSetNest, basicSetOrderByValueExpr, basicSetPredicateNull, basicSetQuantifiedRowSelectLeft, basicSetQuantifiedValueSelectLeft, basicSetResultColumn, basicSetUpdateSourceExprList, basicSetValueExprCaseElse, basicSetValueExprCaseSearchContent, basicSetValueExprCaseSimple, basicSetValueExprCaseSimpleContentResult, basicSetValueExprCaseSimpleContentWhen, basicSetValueExprCast, basicSetValueExprCombinedLeft, basicSetValueExprCombinedRight, basicSetValueExprFunction, basicSetValueExprLabeledDuration, basicSetValuesRow, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getSQL, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.